File Compare - The File Utility Microsoft Forgot - by Mike Robinson

Software by Mike Robinson
File Compare
The File Utility That Microsoft Forgot

Download

Download Download Home Home Purchase Purchase

FileCompare compares two files and tells you if they are the same or different. If you are in Windows Explorer just select the file and right click and use the "Send To" and then select "File Compare" as shown here:

It compares the files and pops up the information screen shown at the top of this page. It does this without leaving Windows Explorer. It also shows you all the information about each file. When the first file is selected the program sounds a beep and briefly flashes onscreen but does not appear. This is to let you know the first file was loaded. When the second file is loaded the program appears and shows the comparison. You can also select two files at once in Windows Explorer instead of selecting them individually.

You can also run FileCompare as a stand-alone program from the FileCompare desktop shortcut. In this mode you can compare two files as described above, or get all the information for just one file by selecting the top "File" menu item and then the "Open 1 File" menu item.

FileCompare can read the basic information such as size and date of any file type. If you click the "Get Extra Info" checkbox the program will display all of the unique extra information in the file header for that particular file type. It can read extra information for over 25 different file types:

ANI - Animated Cursor
ARJ - ARJ Compressed File Archive
AVI - AVI Video File
BMP - BMP Image File
CAB - Microsoft Cabinet File (Compressed File Archive)
CHM - Microsoft Compiled HTML Help File
CUR - Cursor File
DOC - Microsoft Word Document
FON - Font File
GIF - GIF Image File
GZ - GZ Compressed File Archive
HLP - Microsoft Help File
HTM - HTML Document
HTML - HTML Document
ICO - Icon File
JPG - JPG Image (including EXIF extended info if any)
MP3 - MP3 Audio File
PCX - PCX Image File
PNG - PNG Image File
PPT - Microsoft PowerPoint Presentation
TAR - TAR Compressed File Archive
TIF - TIF Image File
TTF - TrueType Font File
TXT - Text File (automatically recognized for any extension)
WAV - WAV Audio File
XLS - Microsoft Excel Spreadsheet
ZIP - ZIP Compressed File Archive

This is a 32 bit program and will run on Windows ME, NT, 2000, XP, Vista, Windows 7, Windows 8, and Windows 10. It also runs fine on 64-bit systems.

See the bottom of this page if you would like to purchase FileCompare for just $10.00 (Ten US Dollars). This trial version will operate for 14 days. If you purchase the program I will send you a serial number by email that will enable continued operation with no time limit. Pay once and all future upgrades are free. Your serial number will work with all future versions. This demo version is fully functional. No features have been removed. It contains no spyware, no advertising.

Windows Explorer Mode

The first time FileCompare runs it places a link to itself in your Windows "Send To" folder. Open Windows Explorer and navigate to the file and then right click and select "Send To" menu item then select "FileCompare" menu item. This sends the file to FileCompare. If this is the first file then the program will beep but will not appear. The beep is to confirm that the first file was loaded. Do the same for the second file and the program appears to show you the comparison of the two files. You can also select two files at once in Windows Explorer instead of selecting them individually.

StandAlone Desktop Mode

Double-click on the FileCompare shortcut on the desktop and the program opens in StandAlone Mode. Click the big "Compare" button and a window pops up to navigate to the files you want to compare. You can also compare files using the "File" menu at the top of the screen. The "Compare 2 Files" menu item is the same as pressing the "Compare" button. The "Open 1 File" menu item allows you to open and examine the data for just one file. You can also select two files at once rather than selecting them individually.

File Operations

Once you have selected one or two files you can perform a number of different operations on the file. These are available using the "File 1 Info" or "File 2 Info" buttons or the "File 1" or "File 2" menu items at the top of the screen:

View - Opens the File Viewer to examine the detailed contents inside the file:

The Hex (hexadecimal) view is show above. Using the "Options" menu item on the top you can change the view to Hex Filtered Mode that filters out all of the non-text characters, or Text Mode that shows the file as if it were all text.

On the first line of the file above you can see the text "JFIF" that identifies the file as a JPG image file and the "Exif" that means the file contains extended Exif information typical of JPG files produced by digital cameras. This Exif info often contains much additional information such as the camera model, exposure settings, and date the photo was taken.

Using the menu at the top of the viewer you can also search for text, go to a line number, copy some or all of the file contents, or change the character font of the display. All of these functions are read-only so the contents of the file will not be changed.

Open - Opens the file using the default program defined in your Windows setup for this file type. For example, if it is a Microsoft PowerPoint file it will open PowerPoint and show the file.

Properties - Opens the standard Microsoft properties screen for the file. This is the same screen you see in Windows Explorer if you right click on a file and select properties. This screen allows you to change the attributes of the file such as "Read-only" and "Hidden" attributes.

Data to File - Allows you to save all of the file information to a file.

Data to Clipboard - Sends all of the file information to the Windows clipboard.

Name to Clipboard - Sends the full path and file name to the Windows clipboard.

File to Clipboard - Sends the entire file to the Windows clipboard.

Move File - Allows you to move the file to another folder.

Copy File - Allows you to make a copy of the file in a folder.

Delete File - Sends the file to the Windows recycle bin. If you have your recycle bin set to "display delete confirmation dialog" you will be asked to confirm the deletion. To change your recycle bin settings right click on the bin and select properties. If you change your mind about the deletion the file can be restored from the recycle bin.

Get Extra Info Checkbox

If you check this box you will get all of the available file information. If you do not check this box, you will get just the basic file information: name, size, date/time (modified, created, accessed), attributes, and file type.

The extra info includes a value called the file CRC (Cyclic Redundancy Check). This is an 8 digit hexadecimal value that is unique to that particular file. If just one byte in the file is changed the CRC will change. This is a good way to detect tampering. If you look inside of a ZIP compressed file archive you will see that the ZIP program saves the CRC of each file in the ZIP so that it can be sure the file has not been altered.

In order to compute the CRC the program must read the entire file. If this takes too long for a large file you may want to uncheck the "Get Extra Info" checkbox. That way the program will stop reading as soon as it finds the first byte that is different.

Options Menu

The options menu contains the following options:

Save on Exit - Check this menu item and the current settings will be saved and remembered the next time you run the program.

Stay on Top - Check this menu item and FileCompare will stay on top of your other windows.

Install

The first time you run FileCompare it will automatically put a shortcut to itself in your SendTo folder.

As an Administrator run the program filecompare-setup.exe to install the program. The install program will overwrite any previous version so you are not required to uninstall older versions. The install program will create a folder, copy all the files to the folder, and create shortcuts on the desktop and the start menu. This is a 32-bit program designed for Windows 98, ME, 2000, NT, XP, Vista, Windows 7, Windows 8, and Windows 10. It also runs fine on 64-bit systems. The program saves its settings in the Windows Registry when you exit from the program.

An alternate install method is to download the executable file filecompare.exe and then just run the program. You can create your own Desktop Shortcut or other shortcut links.

UnInstall

Open Windows Control Panel, select Programs and Features, select the program in the list of programs, and click the uninstall button, or right click on the program and select Uninstall in the menu. The Windows uninstall system will then run and remove the program. These steps are for Windows 10 and may be slightly different in other Windows versions.

If you installed the program manually then delete the files to uninstall the program, and also delete any Desktop Shortcut or other shortcut links.

Then delete this entire key in the Windows Registry :

HKEY_CURRENT_USER\SOFTWARE\Michael_Robinson\FileCompare

Saved Settings

When the program closes it remembers all of its settings by saving them in the Windows registry. It saves the size and location of the program on your desktop, Get Extra Info checkbox, Stay on Top setting, Save on Exit setting, file viewer hex/text mode, and file viewer filter setting. The next time you use the program it will open the same folder used in the last file compare.

Support

Send your questions and comments to: ElegantPie@HotMail.com

I fully support this program and will usually answer within 24 hours.

The latest version is always available on my Home Page:

http://www.elegantpie.com

Legal Stuff

This program is Copyright © 2006 Michael Robinson. All Rights Reserved. Use this program at your own risk. If you purchase this program and are not satisfied with it for any reason I will refund your money. You may give this file away free, but you may not sell it. It must be distributed as a package along with all files. Modification of the files is prohibited.

Revision History

1.0.0 Oct 15, 2006 Initial Public Release.

1.4.0 Jun 24, 2007 Update for Windows Vista

1.4.1 Nov 25, 2009 Minor internal changes

1.4.2 Apr 23, 2017 File creation time now same as in Windows Explorer

Purchase

If you purchase this program and are not satisfied with it for any reason I will refund your money.

This trial version will operate for 14 days. If you purchase the program I will send you a serial number by email that will enable continued operation with no time limit. Pay once and all future upgrades are free. Your serial number will work with all future versions. This demo version is fully functional. No features have been removed. It contains no spyware, no advertising.

The purchase price is $10.00 US Dollars. I accept major credit cards, PayPal , or personal checks. Press one of the links below and your browser will open and go to PayPal with all the purchase information already filled out. You can use PayPal to pay by credit card even if you do not have a PayPal account. The total cost to you is $10.00. No fees. Use your Visa, Mastercard, American Express, or Discover card. PayPal also allows you to pay directly from your bank account using eCheck. PayPal is a very secure and reliable payment system used by millions of people around the world.

Pay with credit card or PayPal Use your Credit Card.

Pay with credit card or PayPal Or send payment by PayPal to: ElegantPie@HotMail.com

Or send personal check or money order payable to Michael Robinson

Michael Robinson
PO Box 95
Shelton, CT 06484

Serial number will be sent within 24 hours by email.

Please add $10.00 if you would like a CD sent by US Mail to an address in the USA.
Please add $20.00 if you would like a CD sent by US Mail to an address outside the USA.

Official PayPal Seal I am PayPal Verified. My Account Creation Date is May 30, 2000.

The Official PayPal Verified Seal above means that I have provided PayPal with proof that I have a bank account and that my address is valid. Banks are required by law to screen account holders so PayPal's verification process increases security when you pay parties you do not know. My bank has my address and Social Security number on file. I have been using PayPal for over 16 years.

I use PayPal because the fees are low. If you send me $10.00 PayPal only takes about $0.59 so I net $9.41. All other payment services take several dollars so I would have to charge around $15 for my program to gain the same net. This lowers the cost to you. PayPal does not charge you any fees. PayPal is also free for me for most purchases, such as Ebay auction payments, but as a seller I am required to have a Premier Account with fees. If you do not have a PayPal account, you can still use PayPal to make a payment using your credit card. PayPal does not charge you any fees for this. PayPal is a very secure and reliable payment system used by millions of people around the world.

DOWNLOAD PURCHASE HOME EMAIL

elegantpie@hotmail.com

http://www.elegantpie.com